Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## timetable.solver.strategy.value
Class HumanValueSelection

    java.lang.Object
      |
      +--timetable.solver.strategy.value.AbstractValueSelection
            |
            +--timetable.solver.strategy.value.HumanValueSelection

All Implemented Interfaces:
  ValueSelectionInterface

public class HumanValueSelection
extends AbstractValueSelection

Heuristika výběru umístění - výběr provede uživatel pomocí dialogu HumanValueSelectionDlg. Výběr je veden ohodnocením SingleActivityEvaluation - umístění jsou seřazena dle této heuristiky, je jich maximálně N.

Field Summary
`(package private) int` | `selected` Vybrané umístění
`(package private) Top10Value` | `top10` Výběr N=50 nejlepších umístění, které se budou prezentovat uživateli. třída zajištující výběr
`protected int` | `TOP10MAX` Výběr N=50 nejlepších umístění, které se budou prezentovat uživateli. počet

Fields inherited from class timetable.solver.strategy.value.AbstractValueSelection
`activity, config, evaluation`

Constructor Summary
`HumanValueSelection(Config config, SingleActivityEvaluationInterface evaluation)` Konstruktor.

Method Summary
`void` | `addValue(int slot, ActivityResources selectedResources, ActivityDependenceGroup dependences, ActivityGroup conflictActivities)` Přidání možného umístění do výběru.
`void` | `reset(Activity activity)` Nastavení aktivity, pro kterou se bude umístění hledat.
`void` | `select()` Metoda provede výběr umístění.
`ActivityGroup` | `selectedConflictActivities()` Vrací vybrané umístění.
`ActivityResources` | `selectedResources()` Vrací vybrané umístění.
`int` | `selectedSlot()` Vrací vybrané umístění.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TOP10MAX

    protected int TOP10MAX

  Výběr N=50 nejlepších umístění, které se budou prezentovat uživateli. počet

### top10

    Top10Value top10

  Výběr N=50 nejlepších umístění, které se budou prezentovat uživateli. třída zajištující výběr

### selected

    int selected

  Vybrané umístění

Constructor Detail

### HumanValueSelection

    public HumanValueSelection(Config config,
                               SingleActivityEvaluationInterface evaluation)
                        throws TimetableException

  Konstruktor.
  Parameters:
    `config` - konfigurace
    `evaluation` - ohodnocovací funkce

Method Detail

### reset

    public void reset(Activity activity)

  Nastavení aktivity, pro kterou se bude umístění hledat. Reset heuristiky.
  Overrides:
    `reset` in class `AbstractValueSelection`
  Parameters:
    `activity` - vybraná aktivita

### addValue

    public void addValue(int slot,
                         ActivityResources selectedResources,
                         ActivityDependenceGroup dependences,
                         ActivityGroup conflictActivities)
                  throws TimetableException

  Přidání možného umístění do výběru.
  Overrides:
    `addValue` in class `AbstractValueSelection`
  Parameters:
    `slot` - počáteční slot
    `selectedResources` - vybrané zdroje
    `dependences` - množina všech závislostí
    `conflictActivities` - množina aktivit, které jsou s daným umístěním v konfliktu - budou se muset z rozvrhu odebrat v případě zvolení tohoto umístění

### select

    public void select()
                throws TimetableException

  Metoda provede výběr umístění.
  Overrides:
    `select` in class `AbstractValueSelection`

### selectedSlot

    public int selectedSlot()

  Vrací vybrané umístění.
  Overrides:
    `selectedSlot` in class `AbstractValueSelection`
  Returns:
    počáteční slot

### selectedResources

    public ActivityResources selectedResources()

  Vrací vybrané umístění.
  Overrides:
    `selectedResources` in class `AbstractValueSelection`
  Returns:
    vybrané zdroje

### selectedConflictActivities

    public ActivityGroup selectedConflictActivities()

  Vrací vybrané umístění.
  Overrides:
    `selectedConflictActivities` in class `AbstractValueSelection`
  Returns:
    konfliktní aktivity

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD